Subject: [PATCH] ARM: add get_user() support for 8 byte types

From: [email-masked] (Ville Syrjälä)
Date: Mon, 19 Nov 2012 16:32:36 +0200

On Thu, Nov 15, 2012 at 02:39:41PM +0000, Arnd Bergmann wrote:
> On Thursday 15 November 2012, Rob Clark wrote:
> > > I still haven't heard a conclusive argument why we need to use get_user()
> > > rather than copy_from_user() in the DRM code. Is this about a fast path
> > > where you want to shave off a few cycles for each call, or does this
> > > simplify the code structure, or something else?
> > 
> > well, it is mostly because it seemed like a good idea to first try to
> > solve the root issue, rather than having to fix things up in each
> > driver when someone from x86-world introduces a 64b get_user()..
> 
> As pointed out by hpa earlier, x86-32 doesn't have a 64b get_user
> either. I don't think we have a lot of drivers that are used only
> on 64-bit x86 and on 32-bit ARM but not on 32-bit x86.

Ouch. I didn't realize that x86-32 doesn't have it. All the systems
where I've run the new code are 64bit so I never noticed the problem.

I see there was a patch [1] posted a long time ago to implement 64bit
get_user() on x86-32. I wonder what happened to it?

[1] https://lkml.org/lkml/2004/4/20/96

-- 
Ville Syrj?l?
Intel OTC